<!DOCTYPE html>
<html lang="nl" class="scroll-smooth">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>
    {{- if eq  .Title  .Site.Title -}}
    {{- .Site.Title -}}
    {{- else -}}
    {{- with .Title }}{{ . }} — {{ end -}}
    {{- .Site.Title -}}
    {{- end -}}
  </title>

  {{ $styles := resources.Get "css/main.scss" | toCSS | postCSS }}
  {{ if hugo.IsProduction }}
  {{ $styles = $styles | minify | fingerprint | resources.PostProcess }}
  <link rel="stylesheet" href="{{ $styles.Permalink }}" integrity="{{ $styles.Data.Integrity }}">
  {{ else }}
  <link rel="stylesheet" href="{{ $styles.RelPermalink }}">
  {{ end }}

  <link rel="apple-touch-icon" href="/img/apple-touch-icon.png">
  <link rel="icon" href="/favicon.ico" sizes="48x48">
  <link rel="icon" href="/img/favicon.svg" sizes="any" type="image/svg+xml">
  <link rel="manifest" href="/site.webmanifest">
  <meta name="theme-color" content="#ffffff" media="(prefers-color-scheme: light)">
  <meta name="theme-color" content="#000000" media="(prefers-color-scheme: dark)">

  {{ with .Description -}}
  <meta name="description" content="{{ . }}">
  {{ else -}}
  {{ with .Summary | plainify -}}
  <meta name="description" content="{{ . }}">
  {{ else -}}
  <meta name="description" content="{{ .Site.Params.description }}">
  {{ end -}}
  {{ end -}}

  {{ partial "opengraph" . }}
</head>

<body class="text-gray-800 bg-white">
  <header class="sticky z-20 top-0 bg-white border-b border-gray-200">
    <nav class="flex items-center max-w-screen-xl mx-6 min-[1328px]:mx-auto py-3">
      <a class="shrink-1 -mt-2 mr-auto lg:mr-6" href="/"><img class="h-12" src="/img/ubblogo.png" alt="Uit betrouwbare Bron"></a>

      <input id="menu-input" class="hidden" type="checkbox">
      <div id="menu-content" class="hidden lg:flex flex-row items-center bg-white grow lg:mr-auto">
        <ul class="text-lg mr-auto">
          {{- $current := . -}}
          {{ range .Site.Menus.main -}}
          {{- $active := or ($current.IsMenuCurrent .Menu .) ($current.HasMenuCurrent .Menu .) -}}
          <li class="block lg:inline-block">
            <a class="p-2 hover:text-[#083ce5] {{ if $active }} font-semibold text-[#083ce5]{{ end }}" href="{{ .URL | relURL }}">{{ .Name }}</a>
          </li>
          {{ end -}}
        </ul>

        <form id="search-form" class="mr-3 relative">
          <input id="search-input" class="block w-72 bg-gray-50 hover:bg-white focus:bg-white border border-gray-300 text-gray-800 px-3 py-2 rounded-md focus:border-sky-600 focus:outline-none focus:ring-4 focus:ring-sky-100 placeholder:text-gray-500" type="search" placeholder="Zoeken…" autocomplete="off"></input>

          <div id="search-results" class="absolute right-0 w-96 sm:w-[30rem] lg:w-[40rem] top-12 bg-white rounded-md border border-slate-200 empty:hidden overflow-y-auto shadow shadow-black/[.05]"></div>
        </form>

        <a class="text-gray-600 hover:text-[#083ce5]" href="https://gitlab.com/digilab.overheid.nl/research/uit-betrouwbare-bron" target="_blank" rel="nofollow" title="Uit Betrouwbare Bron GitLab">
          <svg xmlns="http://www.w3.org/2000/svg" class="w-6 h-6" viewBox="0 0 24 24"><path fill="none" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="m21 14l-9 7l-9-7L6 3l3 7h6l3-7z"/></svg>
        </a>
      </div>
  
      <div id="backdrop" class="hidden fixed z-10 top-0 left-0 right-0 bottom-0 bg-gray-900 opacity-0"></div>

      <button id="sidebar-toggle" class="mr-2 lg:hidden text-gray-600 hover:text-[#083ce5] cursor-pointer" type="button">
        <svg xmlns="http://www.w3.org/2000/svg" class="w-6 h-6" viewBox="0 0 24 24"><path fill="none" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M4 12a1 1 0 1 0 2 0a1 1 0 1 0-2 0m7 0a1 1 0 1 0 2 0a1 1 0 1 0-2 0m7 0a1 1 0 1 0 2 0a1 1 0 1 0-2 0"/></svg>
      </button>

      <label id="menu-toggle" class="z-30 lg:hidden text-gray-600 hover:text-[#083ce5] cursor-pointer" for="menu-input">
        <svg xmlns="http://www.w3.org/2000/svg" class="w-6 h-6" viewBox="0 0 24 24"><path fill="none" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M4 6h16M4 12h16M4 18h16"/></svg>
        <svg xmlns="http://www.w3.org/2000/svg" class="w-6 h-6 hidden" viewBox="0 0 24 24"><path fill="none" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M18 6L6 18M6 6l12 12"/></svg>
      </label>
    </nav>
  </header>

  {{ $imgDir := resources.Match "img/*" }}
  {{ range $imgDir }}
    {{ $file := . | resources.Copy (printf "static/img/%s" .RelPermalink) }}
  {{ end }}

  {{- block "main" . }}{{ end -}}

  <footer class="py-5 text-gray-600 bg-gray-100 border-t border-gray-200">
    <div class="flex flex-wrap items-center max-w-screen-xl mx-6 min-[1328px]:mx-auto py-2">
      <a class="hover:underline mr-auto mb-3 sm:mb-0" href="{{ "/privacy/" | relURL }}">Privacy en cookies</a>

    </div>
  </footer>

  {{- $script := resources.Get "js/main.ts" | resources.ExecuteAsTemplate "js/main.ts" . | js.Build -}}
  {{- if hugo.IsProduction -}}
    {{- $script = $script | minify | fingerprint -}}
  {{- end -}}
  <script defer src="{{ $script.RelPermalink }}" integrity="{{ $script.Data.Integrity }}"></script>

  {{ if .Store.Get "hasMermaid" }}
  {{ $mermaid := resources.Get "js/mermaid.ts" | js.Build -}}
  {{- if hugo.IsProduction -}}
    {{- $mermaid = $mermaid | minify | fingerprint -}}
  {{- end -}}
  <script defer src="{{ $mermaid.RelPermalink }}" integrity="{{ $mermaid.Data.Integrity }}"></script>
  {{ end }}

  <script data-goatcounter="https://stats.tooling.digilab.network/count" async src="https://stats.tooling.digilab.network/count.js"></script>
</body>

</html>
